httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul Richards <p...@demon.co.uk>
Subject Re: nph- deprecation
Date Sun, 12 Jan 1997 19:18:16 GMT
Alexei Kosut <akosut@nueva.pvt.k12.ca.us> writes:

> But this list is unneccessary. CVS can tell you exactly what you want
> to know, without any knowledge of MMN. Let's say you want a module to
> use TAKE12 for one of its directives, but also work in previous
> versions of Apache. You examine the CVS logs, and determine that
> TAKE12 was added on October 8, 1996. You then simply put the following
> into your source file:
> 
> #if (MODULE_MAGIC_NUMBER >= 19961008)
> 
> It doesn't matter that there is no precise version where MMN is
> 19961008. However, 1.2b1 is 19961125 and 1.1.1 is 19960526, and
> 19961008 lies in between. You never had to know the precise MMN
> numbers that actually existed.

Please no, never recommend this. Module developers should never be
relying on "intermediate" versions of the API. They either develop
their modules against one "published" version or another. They should
*NEVER* be encouraged to do what you suggest, in fact it should be
strictly prohibited.

-- 
  Paul Richards, Netcraft Ltd.
  Internet: paul@netcraft.co.uk, http://www.netcraft.co.uk
  Phone: 0370 462071 (Mobile), +44 1225 447500 (work)



Mime
View raw message